Bug 503150 - virt-manager window size bigger after returning from fullscreen
virt-manager window size bigger after returning from fullscreen
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-29 05:29 EDT by Stefan Assmann
Modified: 2010-01-05 18:01 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.7.0-8.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-05 18:01:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Assmann 2009-05-29 05:29:56 EDT
Description of problem:
Display has a resolution of 1024x768. Using a VM with a resolution of 800x600 almost fits the screen (with standard gnome settings). However after going to fullscreen and back the window is larger and the menu bar cannot be reached anymore. It is necessary to manually move the window with alt+left_mouse_button to even reach a window corner to downsize it again.

Version-Release number of selected component (if applicable):
virt-manager-0.7.0-5.fc11.i586

How reproducible:
always

Steps to Reproduce:
1. set screen resolution to 1024x768
2. start a VM with 800x600 resolution
3. go to fullscreen and return to window mode
  
Actual results:
window is too large

Expected results:
window should be 800x600 as was set before going to fullscreen

Additional info:
scale display is set to "only when fullscreen"
Comment 1 Mark McLoughlin 2009-06-04 11:47:25 EDT
Haven't seen this myself, but that does sound annoying. Could even be a generic gtk bug
Comment 2 Bug Zapper 2009-06-09 12:46:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2009-12-01 14:58:20 EST
This is fixed upstream. Moving to POST.
Comment 4 Cole Robinson 2009-12-03 18:56:47 EST
This could be a simple backport so might be worth it for F11.
Comment 5 Cole Robinson 2009-12-05 12:20:34 EST
Here's the relevant commit:

http://hg.fedorahosted.org/hg/virt-manager/rev/63bd22cb3fbc

Won't apply directly to F11 but should be a simple backport.
Comment 6 Fedora Update System 2009-12-22 12:42:31 EST
virt-manager-0.7.0-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/virt-manager-0.7.0-8.fc11
Comment 7 Fedora Update System 2009-12-23 16:29:44 EST
virt-manager-0.7.0-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13563
Comment 8 Fedora Update System 2010-01-05 18:01:20 EST
virt-manager-0.7.0-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.